Subject: gdb - Win95 problem - stack?
From: [email-masked] (Bruce Wampler)

7 Oct 1998 17:56:41 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I'm having a problem with gdb on Win95 (I get the same behavior with
both the cygwin gdb and the latest mingw32 gdb). When I use gdb
on a very simple test V GUI program (compiled with mingw32), I get the following:
----------------------------------------------------------------------------------------------
C:\TestV>gdb testv.exe
GNU gdb 4.17
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-mingw32"...
(gdb) run
run
Starting program: C:\TestV/testv.exe
7fd10000:C:\WINDOWS\SYSTEM\CRTDLL.DLL
bff60000:C:\WINDOWS\SYSTEM\USER32.DLL
bfec0000:C:\WINDOWS\SYSTEM\ADVAPI32.DLL
bff70000:C:\WINDOWS\SYSTEM\KERNEL32.DLL
bff30000:C:\WINDOWS\SYSTEM\GDI32.DLL
bfb90000:C:\WINDOWS\SYSTEM\COMCTL32.DLL
7fdc0000:C:\WINDOWS\SYSTEM\SHELL32.DLL
bfe30000:C:\WINDOWS\SYSTEM\WINMM.DLL
c2c0000:C:\PROGRAM FILES\MICROSOFT HARDWARE\POINT32.DLL

Program received signal SIGSEGV, Segmentation fault.
0xbff78dc1 in _size_of_stack_reserve__ ()
(gdb)
--------------------------------------------------------------------------------------------------
Using gdb on Windows NT with the same program works fine. The messages for the
DLL sequence is different on NT (shorter), but I can set breakpoints, and do
the normal debug stuff on NT, but always get the SIGSEGV on Win95.

The message implies a stack problem. Is there a way to increase the stack size
on Win95? I looked at all the documentation (and the archives) I could find for g++, gdb, and
ld, and could find nothing about setting or changing the stack size or about this
problem.

Thanks for any help or info you have.

--

Bruce E. Wampler, Ph.D.

Author of the V C++ GUI Framework

e-mail: mailto:[email-masked]
web:    http://www.objectcentral.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".